Commit dcda1c95 authored by Martin Schultz's avatar Martin Schultz
Browse files

added glGetExtensionstring variant for compatibility contexts that is opengl version 3.0 or less

parent c7f98ecc
......@@ -61,6 +61,10 @@ namespace {
inline const char *_getExtensionString() {
// glGetString(GL_EXTENSIONS) is deprecated and not available in core profile
if(!openGLVersion(3,0))
{
return (const char*) glGetString(GL_EXTENSIONS);
}
// enumerate extensions with glGetStringi(GL_EXTENSIONS, id) instead
#ifndef __APPLE__
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment